### Property

# Fwupd Request:device-id

since: 1.8.2

#### Declaration

    property device-id: utf8 [ read, write ]

#### Description [src]

The device ID for the request.

Type:`gchar*`

Available since: 1.8.2

Default value | NULL
Getter method | `fwupd_request_get_device_id()`
Setter method | `fwupd_request_set_device_id()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no